## ros-one-rviz 1.14.26-10jammy.20251027.2116

=== debian/changelog ===
ros-one-rviz (1.14.26-10jammy.20251027.2116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 27 Oct 2025 21:16:36 +0000

ros-one-rviz (1.14.26-0jammy) jammy; urgency=high

  * Warning Dialog for ROS 1 EOL (#1843 <https://github.com/ros-visualization/rviz/issues/1843>)
  * Bump cmake_minimum_required to 3.5 (#1847 <https://github.com/ros-visualization/rviz/issues/1847>)
  * Replace boost::filesystem::extension() (#1844 <https://github.com/ros-visualization/rviz/issues/1844>)
  * Fix #1834 <https://github.com/ros-visualization/rviz/issues/1834>: segfault on addMaximizeButton
  * Contributors: A K Azad, Arne Hitzmann, Katherine Scott, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 02 May 2025 00:00:00 -0000

ros-one-rviz (1.14.25-0jammy) jammy; urgency=high

  * Fix #1825 <https://github.com/ros-visualization/rviz/issues/1825>/#1830 <https://github.com/ros-visualization/rviz/issues/1830>: segfault when hiding deleted properties (#1831 <https://github.com/ros-visualization/rviz/issues/1831>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 21 May 2024 00:00:00 -0000

ros-one-rviz (1.14.24-0jammy) jammy; urgency=high

  * Fix jitter in Map display updates (#1826 <https://github.com/ros-visualization/rviz/issues/1826>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 May 2024 00:00:00 -0000

ros-one-rviz (1.14.23-0jammy) jammy; urgency=high

  * Fix #1825 <https://github.com/ros-visualization/rviz/issues/1825>
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 09 May 2024 00:00:00 -0000

ros-one-rviz (1.14.22-0jammy) jammy; urgency=high

  * Reenable python bindings
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 29 Apr 2024 00:00:00 -0000

ros-one-rviz (1.14.21-0jammy) jammy; urgency=high

  * ImageDisplay: publish mouse clicks (#1737 <https://github.com/ros-visualization/rviz/issues/1737>)
  * Add maximize button to Image and Camera display (#1803 <https://github.com/ros-visualization/rviz/issues/1803>)
  * Gracefully handle loops in TF tree (#1820 <https://github.com/ros-visualization/rviz/issues/1820>)
  * Ogre 13 compatibility
  * Qt6 compatibility (#1813 <https://github.com/ros-visualization/rviz/issues/1813>)
  * Fix Qt 5.15 API deprecation warnings
  * ScrewDisplay: Fix initialization of HideSmallValues property (#1810 <https://github.com/ros-visualization/rviz/issues/1810>)
  * Fix vanishing "Global Options" when adding a RobotModelDisplay (#1808 <https://github.com/ros-visualization/rviz/issues/1808>)
  * Modernize to Qt5 slots (#1790 <https://github.com/ros-visualization/rviz/issues/1790>)
  * Optionally deprecate old-style slots via -DRVIZ_DEPRECATE_QT4_SLOTS
  * Improve error handling in LaserScanDisplay (#1798 <https://github.com/ros-visualization/rviz/issues/1798>)
  * MapDisplay: Fix crash after map update (#1793 <https://github.com/ros-visualization/rviz/issues/1793>)
  * Call propertyHiddenChanged synchronously (#1795 <https://github.com/ros-visualization/rviz/issues/1795>)
  * Replace obsolete QPixmap::grabWindow() with QScreen::grabWindow() (#1794 <https://github.com/ros-visualization/rviz/issues/1794>)
  * Contributors: Miguel Riem de Oliveira, Robert Haschke, Simon Schmeisser, Stefan Fabian, vineet131

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 25 Apr 2024 00:00:00 -0000

ros-one-rviz (1.14.20-0jammy) jammy; urgency=high

  * Improvements to TF display (#1789 <https://github.com/ros-visualization/rviz/issues/1789>)
    
      * Add regex filters (white+black list) to TF Display (#1744 <https://github.com/ros-visualization/rviz/issues/1744>)
      * Reparent children to root tree node when deleting a frame
      * Insert frame properties sorted
      * Create tree nodes also if the frame is not connected to rviz' global frame
    
  * RobotModel: Fix orientation of joint axis arrow (#1788 <https://github.com/ros-visualization/rviz/issues/1788>)
  * Use static QCoreApplication::processEvents() w/o QApplication instance (#1772 <https://github.com/ros-visualization/rviz/issues/1772>)
  * Contributors: Blaz Potokar, Robert Haschke, Yannis Gerlach

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 30 Mar 2023 00:00:00 -0000

ros-one-rviz (1.14.19-0jammy) jammy; urgency=high

  * Fixup to #1760 <https://github.com/ros-visualization/rviz/issues/1760>, SplitterHandle (#1766 <https://github.com/ros-visualization/rviz/issues/1766>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 14 Aug 2022 00:00:00 -0000

ros-one-rviz (1.14.17-0jammy) jammy; urgency=high

  * Fixup to #1759 <https://github.com/ros-visualization/rviz/issues/1759>
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 12 Aug 2022 00:00:00 -0000

ros-one-rviz (1.14.16-0jammy) jammy; urgency=high

  * MFD: Don't process messages when disabled (#1765 <https://github.com/ros-visualization/rviz/issues/1765>)
  * Fix image display wrapping (#1763 <https://github.com/ros-visualization/rviz/issues/1763>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 09 Aug 2022 00:00:00 -0000

ros-one-rviz (1.14.15-0jammy) jammy; urgency=high

  * Improve SplitterHandle of PropertyTreeWidgets (#1760 <https://github.com/ros-visualization/rviz/issues/1760>)
    
      * Suppress horizontal scrolling and auto-resizing of columns
      * Double click auto-adjusts to content
    
  * Fix segfault occuring for direct dock panel deletion (#1759 <https://github.com/ros-visualization/rviz/issues/1759>)
  * Fix race conditions in PointCloud displays (#1754 <https://github.com/ros-visualization/rviz/issues/1754>)
  * Acquire mutexes before destroying PointCloudCommon


## ros-one-rviz 1.14.26-10noble.20251027.2123

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(rviz)

if (POLICY CMP0042)
  cmake_policy(SET CMP0042 NEW)
endif()
if (POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif()

# Define global caktin_lint suppressions
#catkin_lint: ignore uninstalled_script missing_install_target

find_package(Boost REQUIRED
  COMPONENTS
  filesystem
  program_options
  system
  thread
)

find_package(urdfdom_headers REQUIRED)

set(CMAKE_POLICY_DEFAULT_CMP0012 NEW)  # required due to a bug in assimp 5.0
find_package(assimp REQUIRED)
if(NOT DEFINED ASSIMP_LIBRARIES AND TARGET assimp::assimp)
  # ASSIMP >= 5.0 no longer defines ASSIMP_LIBRARIES
  set(ASSIMP_LIBRARIES assimp::assimp)
endif()

find_package(OGRE QUIET COMPONENTS Overlay)
if(OGRE_FOUND)
  if(${OGRE_VERSION} VERSION_LESS 1.11)
    set(OGRE_INCLUDE_DIRS ${OGRE_INCLUDE_DIRS} ${OGRE_Overlay_INCLUDE_DIRS})
    set(OGRE_LIBRARIES ${OGRE_LIBRARIES} ${OGRE_Overlay_LIBRARIES})
  endif()
else()
  # OGRE doesn't come with correctly installed cmake files on Linux. Use pkg-config instead.
  # We need both, OGRE and OGRE-Overlay. Look for both simulatenously and use prefix X_
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(X REQUIRED OGRE OGRE-Overlay)

  # Set OGRE_* variables as cmake-based find_package would do
  set(OGRE_VERSION ${X_OGRE_VERSION})
  set(OGRE_INCLUDE_DIRS ${X_INCLUDE_DIRS})
  message(STATUS "OGRE_INCLUDE_DIRS=${OGRE_INCLUDE_DIRS}")

  # Find absolute path of OGRE libraries.
  # This is stored in the cache to save time on cmake re-run.
  # Using absolute paths is necessary if pkg-config finds Ogre in a different
  # location than the default.  This can happen when Ogre is built from source,
  # or when 2 versions of Ogre are installed.  Using absolute paths ensures that
  # components that link against Ogre (rviz and any packages depending on rviz)
  # all find the same Ogre shared library.
  if(NOT DEFINED OGRE_LIBRARIES)
    set(_OGRE_LIBRARIES)
    foreach(_lib ${X_LIBRARIES})
      set(_lib_tag "OGRE_RVIZ_${_lib}")

      find_library(${_lib_tag}
              NAMES ${_lib}
              HINTS ${X_LIBRARY_DIRS}
              PATHS ${X_LIBRARY_DIRS}
      )

      list(APPEND _OGRE_LIBRARIES ${${_lib_tag}})
    endforeach(_lib)

    set(OGRE_LIBRARIES ${_OGRE_LIBRARIES} CACHE STRING "Absolute paths to OGRE libs")
  endif(NOT DEFINED OGRE_LIBRARIES)
  message(STATUS "OGRE_LIBRARIES=${OGRE_LIBRARIES}")

  ## Fetch OGRE_PLUGIN_DIR variable from pkg-config
  if(NOT DEFINED OGRE_PLUGIN_DIR)
    execute_process(COMMAND
      ${PKG_CONFIG_EXECUTABLE} --variable=plugindir OGRE
      OUTPUT_VARIABLE OGRE_PLUGIN_DIR
      OUTPUT_STRIP_TRAILING_WHITESPACE
      )
  endif(NOT DEFINED OGRE_PLUGIN_DIR)
  message(STATUS "OGRE_PLUGIN_DIR=${OGRE_PLUGIN_DIR}")
endif()

# TODO: adapt version after upgrade to newer OGRE release
# Consider deprecation issues as warnings, not as errors for OGRE >= 1.10
if(NOT OGRE_VERSION VERSION_LESS "1.10.0" AND NOT MSVC)
  add_compile_options(-Wno-error=deprecated-declarations)
endif()

if(APPLE)
  FIND_LIBRARY(Cocoa_LIBRARIES Cocoa)
  set(rviz_ADDITIONAL_LIBRARIES ${Cocoa_LIBRARIES})

  # This definition prevents an Apple header from defining a macro called "check", which if
  # present, collides with another function in the rviz code. See:
  # https://opensource.apple.com/source/CarbonHeaders/CarbonHeaders-18.1/AssertMacros.h
  add_definitions(-D__ASSERT_MACROS_DEFINE_VERSIONS_WITHOUT_UNDERSCORES=0)
endif()

# Prefer newer vendor-specific OpenGL library
if (POLICY CMP0072)
  cmake_policy(SET CMP0072 NEW)
endif()
find_package(OpenGL REQUIRED)

set(CMAKE_AUTOMOC ON)

set(RVIZ_QT_VERSIONS "5;6" CACHE STRING "List of Qt versions to consider (in order)")
foreach(_current_version ${RVIZ_QT_VERSIONS})
  find_package(Qt${_current_version} QUIET COMPONENTS Core Widgets OpenGL)
  if (Qt${_current_version}_FOUND)
    set(QTVERSION ${Qt${_current_version}_VERSION})
    set(QT_LIBRARIES Qt${_current_version}::Widgets)
    break() # early break from loop
  else()
    message(STATUS "Qt${_current_version} not found.")
  endif()
endforeach()
if(NOT QTVERSION)
  message(FATAL_ERROR "Failed to find a suitable Qt version.")
endif()
message(STATUS "Found Qt ${QTVERSION}")
add_definitions(-DQT_NO_KEYWORDS)

find_package(catkin REQUIRED
  COMPONENTS
  cmake_modules
  geometry_msgs
  image_transport
  interactive_markers
  laser_geometry
  map_msgs
  message_filters
  message_generation
  nav_msgs
  pluginlib
  python_qt_binding
  resource_retriever
  rosconsole
  roscpp
  roslib
  rospy
  sensor_msgs
  std_msgs
  std_srvs
  tf2_ros
  tf2_geometry_msgs
  urdf
  visualization_msgs
)

find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  #catkin_lint: ignore_once deprecated_cmake_module
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})  # Not strictly necessary as Eigen is head only
  # Possibly map additional variables to the EIGEN3_ prefix.
else()
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

find_package(TinyXML2 REQUIRED)

catkin_python_setup()

# Set the Qt version for use in the extras file.
set(rviz_QT_VERSION ${QTVERSION})

# This variable controls the target name of the default plugin library.
# It is used in the extras file (processed in caktin_package(...)) and the
# cmake code for the default plugin.
# There is a matching instance of this in the plugin_description.xml.
set(rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME rviz_default_plugin)

add_service_files(
  FILES
  SendFilePath.srv
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

set(EXPORT_HEADER_DIR "${CATKIN_DEVEL_PREFIX}/include")
file(MAKE_DIRECTORY "${EXPORT_HEADER_DIR}")

#catkin_lint: ignore_once external_include_path
catkin_package(
  CFG_EXTRAS
    rviz-extras.cmake
  INCLUDE_DIRS
    src
    ${EXPORT_HEADER_DIR}
    ${EIGEN3_INCLUDE_DIRS}
    ${OGRE_INCLUDE_DIRS}
    ${OPENGL_INCLUDE_DIR}
  LIBRARIES
    rviz
    ${OGRE_LIBRARIES}
    ${rviz_ADDITIONAL_LIBRARIES}
    ${OPENGL_LIBRARIES}
  CATKIN_DEPENDS
    geometry_msgs
    image_transport
    interactive_markers
    laser_geometry
    map_msgs
    message_filters
    message_runtime
    nav_msgs
    pluginlib
    resource_retriever
    roscpp
    roslib
    sensor_msgs
    std_msgs
    std_srvs
    tf2_ros
    urdf
    visualization_msgs
)

#catkin_lint: ignore_once external_directory
include_directories(src ${EXPORT_HEADER_DIR})
include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
  ${OGRE_INCLUDE_DIRS}
  ${OPENGL_INCLUDE_DIR}
  ${TinyXML2_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  ${ASSIMP_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

#### If gtk ends up being the best way to get the correct window
#### position under X11, this is how to compile it in.
#
# find_package(GTK2)
# include_directories(${GTK2_INCLUDE_DIRS})
# include_directories(/usr/include/gdk-pixbuf-2.0)

add_subdirectory(src)

if(OGRE_VERSION VERSION_LESS "1.10")
  set(EXCLUDE_PATTERN "ogre1.10.*")
else()
  set(EXCLUDE_PATTERN "ogre1.9.*")
endif()

install(DIRECTORY ogre_media
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "${EXCLUDE_PATTERN}" EXCLUDE
)
install(DIRECTORY icons
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY images
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES default.rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES help/help.html
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/help
)
#catkin_lint: ignore uninstalled_target

=== src/CMakeLists.txt ===
add_subdirectory(rviz)
add_subdirectory(image_view)
if (CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()
if (${rviz_QT_VERSION} VERSION_LESS 6.0)
  add_subdirectory(python_bindings)
else()
  message("Skipping python bindings as PyQt6 is not yet functional.")
endif()

=== src/rviz/default_plugin/CMakeLists.txt ===
set(SOURCE_FILES
  axes_display.cpp
  camera_display.cpp
  covariance_visual.cpp
  covariance_property.cpp
  depth_cloud_display.cpp
  depth_cloud_mld.cpp
  effort_display.cpp
  effort_visual.cpp
  fluid_pressure_display.cpp
  grid_cells_display.cpp
  grid_display.cpp
  illuminance_display.cpp
  image_display.cpp
  interactive_marker_display.cpp
  interactive_markers/integer_action.cpp
  interactive_markers/interactive_marker_control.cpp
  interactive_markers/interactive_marker.cpp
  laser_scan_display.cpp
  map_display.cpp
  marker_array_display.cpp
  marker_display.cpp
  marker_utils.cpp
  markers/arrow_marker.cpp
  markers/line_list_marker.cpp
  markers/line_strip_marker.cpp
  markers/marker_base.cpp
  markers/marker_selection_handler.cpp
  markers/mesh_resource_marker.cpp
  markers/points_marker.cpp
  markers/shape_marker.cpp
  markers/text_view_facing_marker.cpp
  markers/triangle_list_marker.cpp
  odometry_display.cpp
  path_display.cpp
  point_display.cpp
  point_visual.cpp
  point_cloud2_display.cpp
  point_cloud_common.cpp
  point_cloud_display.cpp
  point_cloud_transformer.h
  point_cloud_transformers.cpp
  polygon_display.cpp
  pose_array_display.cpp
  pose_display.cpp
  pose_with_covariance_display.cpp
  range_display.cpp
  relative_humidity_display.cpp
  robot_model_display.cpp
  screw_display.cpp
  screw_visual.cpp
  temperature_display.cpp
  tf_display.cpp
  tools/focus_tool.cpp
  tools/measure_tool.cpp
  tools/move_tool.cpp
  tools/point_tool.cpp
  tools/pose_tool.cpp
  tools/goal_tool.cpp
  tools/initial_pose_tool.cpp
  tools/selection_tool.cpp
  tools/interaction_tool.cpp
  view_controllers/orbit_view_controller.cpp
  view_controllers/xy_orbit_view_controller.cpp
  view_controllers/third_person_follower_view_controller.cpp
  view_controllers/fixed_orientation_ortho_view_controller.cpp
  view_controllers/fps_view_controller.cpp
  view_controllers/frame_view_controller.cpp
)

add_library(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME} ${SOURCE_FILES})
include(GenerateExportHeader)
set(EXPORT_FILE_NAME ${EXPORT_HEADER_DIR}/rviz/default_plugin/${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}_export.h)
generate_export_header(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME} EXPORT_FILE_NAME ${EXPORT_FILE_NAME})
target_link_libraries(${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}
  ${PROJECT_NAME}
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${OGRE_LIBRARIES}
  ${QT_LIBRARIES}
)

#catkin_lint: ignore_once external_file
install(FILES
  ${EXPORT_FILE_NAME}
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}/default_plugin/)

install(TARGETS ${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

# Generate to the devel space so the extras file can include it from the devel space.
file(GENERATE
  OUTPUT "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/default_plugin_location.cmake"
  CONTENT "set(rviz_DEFAULT_PLUGIN_FILE_NAME $<TARGET_LINKER_FILE_NAME:${rviz_DEFAULT_PLUGIN_LIBRARY_TARGET_NAME}>)"
)
#catkin_lint: ignore_once external_file
# Install from the devel space to the install space.
install(FILES "${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake/default_plugin_location.cmake"
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake
)

=== debian/changelog ===
ros-one-rviz (1.14.26-10noble.20251027.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 27 Oct 2025 21:23:54 +0000

ros-one-rviz (1.14.26-0noble) noble; urgency=high

  * Warning Dialog for ROS 1 EOL (#1843 <https://github.com/ros-visualization/rviz/issues/1843>)
  * Bump cmake_minimum_required to 3.5 (#1847 <https://github.com/ros-visualization/rviz/issues/1847>)
  * Replace boost::filesystem::extension() (#1844 <https://github.com/ros-visualization/rviz/issues/1844>)
  * Fix #1834 <https://github.com/ros-visualization/rviz/issues/1834>: segfault on addMaximizeButton
  * Contributors: A K Azad, Arne Hitzmann, Katherine Scott, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 02 May 2025 00:00:00 -0000

ros-one-rviz (1.14.25-0noble) noble; urgency=high

  * Fix #1825 <https://github.com/ros-visualization/rviz/issues/1825>/#1830 <https://github.com/ros-visualization/rviz/issues/1830>: segfault when hiding deleted properties (#1831 <https://github.com/ros-visualization/rviz/issues/1831>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 21 May 2024 00:00:00 -0000

ros-one-rviz (1.14.24-0noble) noble; urgency=high

  * Fix jitter in Map display updates (#1826 <https://github.com/ros-visualization/rviz/issues/1826>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 May 2024 00:00:00 -0000

ros-one-rviz (1.14.23-0noble) noble; urgency=high

  * Fix #1825 <https://github.com/ros-visualization/rviz/issues/1825>
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 09 May 2024 00:00:00 -0000

ros-one-rviz (1.14.22-0noble) noble; urgency=high

  * Reenable python bindings
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 29 Apr 2024 00:00:00 -0000

ros-one-rviz (1.14.21-0noble) noble; urgency=high

  * ImageDisplay: publish mouse clicks (#1737 <https://github.com/ros-visualization/rviz/issues/1737>)
  * Add maximize button to Image and Camera display (#1803 <https://github.com/ros-visualization/rviz/issues/1803>)
  * Gracefully handle loops in TF tree (#1820 <https://github.com/ros-visualization/rviz/issues/1820>)
  * Ogre 13 compatibility
  * Qt6 compatibility (#1813 <https://github.com/ros-visualization/rviz/issues/1813>)
  * Fix Qt 5.15 API deprecation warnings
  * ScrewDisplay: Fix initialization of HideSmallValues property (#1810 <https://github.com/ros-visualization/rviz/issues/1810>)
  * Fix vanishing "Global Options" when adding a RobotModelDisplay (#1808 <https://github.com/ros-visualization/rviz/issues/1808>)
  * Modernize to Qt5 slots (#1790 <https://github.com/ros-visualization/rviz/issues/1790>)
  * Optionally deprecate old-style slots via -DRVIZ_DEPRECATE_QT4_SLOTS
  * Improve error handling in LaserScanDisplay (#1798 <https://github.com/ros-visualization/rviz/issues/1798>)
  * MapDisplay: Fix crash after map update (#1793 <https://github.com/ros-visualization/rviz/issues/1793>)
  * Call propertyHiddenChanged synchronously (#1795 <https://github.com/ros-visualization/rviz/issues/1795>)
  * Replace obsolete QPixmap::grabWindow() with QScreen::grabWindow() (#1794 <https://github.com/ros-visualization/rviz/issues/1794>)
  * Contributors: Miguel Riem de Oliveira, Robert Haschke, Simon Schmeisser, Stefan Fabian, vineet131

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 25 Apr 2024 00:00:00 -0000

ros-one-rviz (1.14.20-0noble) noble; urgency=high

  * Improvements to TF display (#1789 <https://github.com/ros-visualization/rviz/issues/1789>)
    
      * Add regex filters (white+black list) to TF Display (#1744 <https://github.com/ros-visualization/rviz/issues/1744>)
      * Reparent children to root tree node when deleting a frame
      * Insert frame properties sorted
      * Create tree nodes also if the frame is not connected to rviz' global frame
    
  * RobotModel: Fix orientation of joint axis arrow (#1788 <https://github.com/ros-visualization/rviz/issues/1788>)
  * Use static QCoreApplication::processEvents() w/o QApplication instance (#1772 <https://github.com/ros-visualization/rviz/issues/1772>)
  * Contributors: Blaz Potokar, Robert Haschke, Yannis Gerlach

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 30 Mar 2023 00:00:00 -0000

ros-one-rviz (1.14.19-0noble) noble; urgency=high

  * Fixup to #1760 <https://github.com/ros-visualization/rviz/issues/1760>, SplitterHandle (#1766 <https://github.com/ros-visualization/rviz/issues/1766>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 14 Aug 2022 00:00:00 -0000

ros-one-rviz (1.14.17-0noble) noble; urgency=high

  * Fixup to #1759 <https://github.com/ros-visualization/rviz/issues/1759>
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 12 Aug 2022 00:00:00 -0000

ros-one-rviz (1.14.16-0noble) noble; urgency=high

  * MFD: Don't process messages when disabled (#1765 <https://github.com/ros-visualization/rviz/issues/1765>)
  * Fix image display wrapping (#1763 <https://github.com/ros-visualization/rviz/issues/1763>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 09 Aug 2022 00:00:00 -0000

ros-one-rviz (1.14.15-0noble) noble; urgency=high

  * Improve SplitterHandle of PropertyTreeWidgets (#1760 <https://github.com/ros-visualization/rviz/issues/1760>)
    
      * Suppress horizontal scrolling and auto-resizing of columns
      * Double click auto-adjusts to content
    
  * Fix segfault occuring for direct dock panel deletion (#1759 <https://github.com/ros-visualization/rviz/issues/1759>)
  * Fix race conditions in PointCloud displays (#1754 <https://github.com/ros-visualization/rviz/issues/1754>)
  * Acquire mutexes before destroying PointCloudCommon


=== debian/control ===
Source: ros-one-rviz
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libeigen3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogre-1.9-dev, libogre-1.9.0v5, libqt5opengl5-dev, libtinyxml2-dev, liburdfdom-dev, liburdfdom-headers-dev, libyaml-cpp-dev, qtbase5-dev, ros-one-catkin, ros-one-cmake-modules, ros-one-geometry-msgs, ros-one-image-transport, ros-one-interactive-markers, ros-one-laser-geometry, ros-one-map-msgs, ros-one-message-filters, ros-one-message-generation, ros-one-nav-msgs, ros-one-pluginlib, ros-one-python-qt-binding, ros-one-resource-retriever, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-urdf, ros-one-visualization-msgs
Homepage: http://wiki.ros.org/rviz
Standards-Version: 3.9.2

Package: ros-one-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogre-1.9-dev, libogre-1.9.0v5, libqt5core5t64, libqt5gui5t64, libqt5opengl5, libqt5widgets5t64, libtinyxml2-dev, libyaml-cpp-dev, ros-one-geometry-msgs, ros-one-image-transport, ros-one-interactive-markers, ros-one-laser-geometry, ros-one-map-msgs, ros-one-media-export, ros-one-message-filters, ros-one-message-runtime, ros-one-nav-msgs, ros-one-pluginlib, ros-one-python-qt-binding, ros-one-resource-retriever, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-urdf, ros-one-visualization-msgs
Description: 3D visualization tool for ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rviz//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rviz 1.14.26-11jammy.20251207.2331

=== debian/changelog ===
ros-one-rviz (1.14.26-11jammy.20251207.2331) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 07 Dec 2025 23:31:55 +0000

## ros-one-rviz 1.14.26-11noble.20251208.1024

=== debian/changelog ===
ros-one-rviz (1.14.26-11noble.20251208.1024) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 08 Dec 2025 10:24:55 +0000

## ros-one-rviz 1.14.26-12jammy.20251215.2119

=== debian/changelog ===
ros-one-rviz (1.14.26-12jammy.20251215.2119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 15 Dec 2025 21:19:51 +0000

## ros-one-rviz 1.14.26-12noble.20251215.2117

=== debian/changelog ===
ros-one-rviz (1.14.26-12noble.20251215.2117) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 15 Dec 2025 21:17:49 +0000

## ros-one-rviz 1.14.26-13jammy.20260302.2122

=== debian/changelog ===
ros-one-rviz (1.14.26-13jammy.20260302.2122) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 02 Mar 2026 21:22:10 +0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-one-rviz
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogre-1.9-dev, libogre-1.9.0v5, libqt5core5t64, libqt5gui5t64, libqt5opengl5, libqt5widgets5t64, libtinyxml2-dev, libyaml-cpp-dev, ros-one-geometry-msgs, ros-one-image-transport, ros-one-interactive-markers, ros-one-laser-geometry, ros-one-map-msgs, ros-one-media-export, ros-one-message-filters, ros-one-message-runtime, ros-one-nav-msgs, ros-one-pluginlib, ros-one-python-qt-binding, ros-one-resource-retriever, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-urdf, ros-one-visualization-msgs
+Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogre-1.9-dev, libogre-1.9.0v5, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, libtinyxml2-dev, libyaml-cpp-dev, ros-one-geometry-msgs, ros-one-image-transport, ros-one-interactive-markers, ros-one-laser-geometry, ros-one-map-msgs, ros-one-media-export, ros-one-message-filters, ros-one-message-runtime, ros-one-nav-msgs, ros-one-pluginlib, ros-one-python-qt-binding, ros-one-resource-retriever, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-urdf, ros-one-visualization-msgs
 Description: 3D visualization tool for ROS.

## ros-one-rviz 1.14.26-13noble.20260302.2124

=== debian/changelog ===
ros-one-rviz (1.14.26-13noble.20260302.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 02 Mar 2026 21:24:07 +0000

=== debian/control ===
Source: ros-one-rviz
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libeigen3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogre-1.9-dev, libogre-1.9.0t64, libqt5opengl5-dev, libtinyxml2-dev, liburdfdom-dev, liburdfdom-headers-dev, libyaml-cpp-dev, qtbase5-dev, ros-one-catkin, ros-one-cmake-modules, ros-one-geometry-msgs, ros-one-image-transport, ros-one-interactive-markers, ros-one-laser-geometry, ros-one-map-msgs, ros-one-message-filters, ros-one-message-generation, ros-one-nav-msgs, ros-one-pluginlib, ros-one-python-qt-binding, ros-one-resource-retriever, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-urdf, ros-one-visualization-msgs
Homepage: http://wiki.ros.org/rviz
Standards-Version: 3.9.2

Package: ros-one-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libgl1-mesa-dev, libglu1-mesa-dev, libogre-1.9-dev, libogre-1.9.0t64, libqt5core5t64, libqt5gui5t64, libqt5opengl5t64, libqt5widgets5t64, libtinyxml2-dev, libyaml-cpp-dev, ros-one-geometry-msgs, ros-one-image-transport, ros-one-interactive-markers, ros-one-laser-geometry, ros-one-map-msgs, ros-one-media-export, ros-one-message-filters, ros-one-message-runtime, ros-one-nav-msgs, ros-one-pluginlib, ros-one-python-qt-binding, ros-one-resource-retriever, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-urdf, ros-one-visualization-msgs
Description: 3D visualization tool for ROS.
